org.eclipse.ui.help

## Class AbstractHelpUI

- java.lang.Object
- - org.eclipse.ui.help.AbstractHelpUI

    public abstract class AbstractHelpUI
    extends Object

Abstract base class for the help system UI.

The Eclipse platform provides an extension point (`"org.eclipse.ui.helpSupport"`) for plugging in a help system UI. The help system UI is an optional component; applications may provide a UI for presenting help to the user by implementing a subclass and including the name of their class in the `<config>` element in an extension to the `"org.eclipse.ui.helpSupport"` extension point.

Note that the standard implementation of the help system UI is provided by the `"org.eclipse.help.ui"` plug-in. Since the platform can only make use of a single help system UI implementation, make sure that the platform is not configured with more than one plug-in trying to extend this extension point.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`AbstractHelpUI()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `displayContext(IContext context, int x, int y)` Displays context-sensitive help for the given context.
`void` `displayDynamicHelp()` Displays the dynamic help for the active context.
`abstract void` `displayHelp()` Displays the entire help bookshelf.
`abstract void` `displayHelpResource(String href)` Displays help content for the help resource with the given URL.
`void` `displaySearch()` Displays the help search facility.
`abstract boolean` `isContextHelpDisplayed()` Returns whether the context-sensitive help window is currently being displayed.
`URL` `resolve(String href, boolean documentOnly)` Resolves the help resource href according to the help system implementation.
`void` `search(String expression)` Starts the help search using the help search facility.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractHelpUI

    public AbstractHelpUI()

### Method Detail

#### displayHelp

    public abstract void displayHelp()

Displays the entire help bookshelf.

#### displaySearch

    public void displaySearch()

Displays the help search facility. For backward compatibility, the default implementation does nothing.

Since:
  3.1

#### displayDynamicHelp

    public void displayDynamicHelp()

Displays the dynamic help for the active context. For backward compatibility, the default implementation does nothing.

Since:
  3.1

#### search

    public void search(String expression)

Starts the help search using the help search facility. For backward compatibility, the default implementation does nothing.

Parameters:
  `expression` - the search expression
Since:
  3.1

#### resolve

    public URL resolve(String href,
                       boolean documentOnly)

Resolves the help resource href according to the help system implementation.

Parameters:
  `href` - the help resource
  `documentOnly` - if `true`, the resulting URL must point at the document referenced by href. Otherwise, it can be a URL that contains additional elements like navigation that the help system adds to the document.
Returns:
  the fully resolved URL of the help resource or `null` if not supported. Help systems that use application servers typically return URLs with http: protocol. Simple help system implementations can return URLs with file: protocol.
Since:
  3.1

#### displayContext

    public abstract void displayContext(IContext context,
                                        int x,
                                        int y)

Displays context-sensitive help for the given context.

(x,y) coordinates specify the location where the context sensitive help UI will be presented. These coordinates are screen-relative (ie: (0,0) is the top left-most screen corner). The platform is responsible for calling this method and supplying the appropriate location.

Parameters:
  `context` - the context to display
  `x` - horizontal position
  `y` - verifical position

#### displayHelpResource

    public abstract void displayHelpResource(String href)

Displays help content for the help resource with the given URL.

This method is called by the platform to launch the help system UI, displaying the documentation identified by the `href` parameter.

The help system makes no guarantee that all the help resources can be displayed or how they are displayed.

Parameters:
  `href` - the URL of the help resource.

  Valid href are as described in `IHelpResource.getHref()`

#### isContextHelpDisplayed

    public abstract boolean isContextHelpDisplayed()

Returns whether the context-sensitive help window is currently being displayed.

Returns:
  `true` if the context-sensitive help window is currently being displayed, `false` if not